summaryrefslogtreecommitdiffstats
path: root/scripts/rawhide-rc.sh
diff options
context:
space:
mode:
authorThorsten Leemhuis <fedora@leemhuis.info>2020-04-01 14:37:13 +0200
committerThorsten Leemhuis <fedora@leemhuis.info>2020-04-01 14:40:26 +0200
commitf662de34ff0c7072424aaf34d57735b13d8dc373 (patch)
treed96da20f5be2c8e4fe7078b94d9454fc63c6a0b9 /scripts/rawhide-rc.sh
parent73fe8f35076d6b7cd09442b8a212687de73692b0 (diff)
downloadkernel-f662de34ff0c7072424aaf34d57735b13d8dc373.tar.gz
kernel-f662de34ff0c7072424aaf34d57735b13d8dc373.tar.xz
kernel-f662de34ff0c7072424aaf34d57735b13d8dc373.zip
vanillafy
Diffstat (limited to 'scripts/rawhide-rc.sh')
-rwxr-xr-xscripts/rawhide-rc.sh40
1 files changed, 27 insertions, 13 deletions
diff --git a/scripts/rawhide-rc.sh b/scripts/rawhide-rc.sh
index a4e15820a..c4e77ae42 100755
--- a/scripts/rawhide-rc.sh
+++ b/scripts/rawhide-rc.sh
@@ -1,19 +1,27 @@
#!/bin/sh
# Generate a commit for a rawhide RC release
+# update orgin
+~/usr/bin/vanilla-kernel-helper.sh masterupdate
+currentbranch=$(git symbolic-ref --short HEAD)
+if [[ "${currentbranch%-user-thl-vanilla-fedora}" == "rawhide" ]]; then
+ currentbranch="master"
+fi
+git merge --no-edit origin/${currentbranch%-user-thl-vanilla-fedora} || exit 1
+
source scripts/kernel-version.sh
-klist -s
-if [ ! $? -eq 0 ]; then
- echo "klist couldn't read the credential cache."
- echo "Do you need to fix your kerberos tokens?"
- exit 1
-fi
+#klist -s
+#if [ ! $? -eq 0 ]; then
+# echo "klist couldn't read the credential cache."
+# echo "Do you need to fix your kerberos tokens?"
+# exit 1
+#fi
-make release
+# make release
# fixup the release because rpmdev-bumpspec *sigh*
-scripts/fixup-bumpspec.sh
-fedpkg commit -c
+# scripts/fixup-bumpspec.sh
+# fedpkg commit -c
# Figure out what is our RC
RC=`grep "%global rcrev" kernel.spec| cut -d ' ' -f 3`
@@ -35,7 +43,10 @@ if [ ! -f patch-$MAJORVER.$BASE-rc$RC.xz ]; then
exit 1
fi
xz -9 patch-$MAJORVER.$BASE-rc$RC
- fedpkg upload patch-$MAJORVER.$BASE-rc$RC.xz
+ #fedpkg upload patch-$MAJORVER.$BASE-rc$RC.xz
+
+ checksum=$(sha512sum patch-$MAJORVER.$BASE-rc$RC.xz)
+ echo "SHA512 (patch-$MAJORVER.$BASE-rc$RC.xz) = ${checksum:0:128}" >> sources
fi
# bump rcrev in the spec and set git snapshot to 0
@@ -43,8 +54,11 @@ RC=$RC perl -p -i -e 's|%global rcrev.*|%global rcrev $ENV{'RC'}|' kernel.spec
perl -p -i -e 's|%define gitrev.*|%define gitrev 0|' kernel.spec
-perl -p -i -e 's|%global baserelease.*|%global baserelease 0|' kernel.spec
+perl -p -i -e 's|%global baserelease.*|%global baserelease 1|' kernel.spec
-rpmdev-bumpspec -c "Linux v$MAJORVER.$BASE-rc$RC" kernel.spec
+# rpmdev-bumpspec -c "Linux v$MAJORVER.$BASE-rc$RC" kernel.spec
+# echo "Don't forget to bump kernel-tools"
-echo "Don't forget to bump kernel-tools"
+git diff kernel.spec sources
+sleep 1 || exit 1
+git commit -m "Linux v$MAJORVER.$BASE-rc$RC" kernel.spec sources